import Mock from 'mockjs';

/* eslint-disable no-console */

// 模拟加载
Mock.setup({
  timeout: '100-200',
});

// 自定义mock方法示例
Mock.Random.extend({
  techs: [
    'react', 'redux', 'react-router',
    'axios', 'mockjs', 'ant-design',
  ],
  tech() {
    return this.shuffle(this.techs);
  },
});

// 接口调用
Mock.mock(/technology\/list/, 'get', (options) => {
  console.log(`%c${decodeURIComponent(options.url)}`, 'color:blue');

  return Mock.mock('@TECH');
});
