import React, { Component } from 'react';
import Header from '../components/Header/header';
import Routers from '../routes/index';
import { MAIN_ROUTES } from '../constants/route';
import './App.less';

class App extends Component {
  render() {
    return (
      <div className="app-wrapper">
        <Header />
        <section className="app-section">
          <Routers {...{
            routes: MAIN_ROUTES,
          }}
          />
        </section>
      </div>
    );
  }
}
export default App;
